{ lib
, pkgs
, config
, ...
}:
{
  home.sessionPath = [ "$HOME/bin" ];

  programs.bash.profileExtra = ''
    ${lib.getExe pkgs.rust-motd}
  '';

  metacfg = {
    user = {
      enable = true;
      name = config.snowfallorg.user.name;
    };
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
      direnv.enable = true;
    };
  };

  xdg.enable = true;
  xdg.mime.enable = true;

  /* *****************************************
    systemd.user.services = {
    render_blog = {
      Service = {
        Type = "oneshot";
        Environment = "PATH=/run/current-system/sw/bin";
        ExecStart = toString (
          pkgs.writeShellScript "render_blog.sh" ''
            set -eou pipefail
            set -x
            DIR=/var/tmp/blog.$$
            rm -fr $DIR
            mkdir -p $DIR
            cd $DIR
            echo $HOME
            set
            git config --list
            git clone --recurse-submodules https://git.hoyer.xyz/harald/blog.git
            cd blog
            ./build.sh
            cd /var/tmp
            rm -fr $DIR
          ''
        );
      };
      Install.WantedBy = [ "default.target" ];
    };
    };

    systemd.user.timers = {
    render_blog = {
      Timer = {
        OnCalendar = "hourly";
      };
      Install.WantedBy = [ "timers.target" ];
    };
    };
  ***************************** */
}

